www.fltk.net > linux安装PHP出错

linux安装PHP出错

1、查下libltdl.so是否存在: locate libltdl.so2、如果存在(假设在/usr/lib/下) ln -s /usr/lib/libltdl.so.3.1.0 /usr/lib/libltdl.so.33、如果没有相关库文件,安装一下: sudo yum install libtool-ltdl 估计是你的libltdl版本比较高,链接一下试试吧.

不是错误,是提示你make安装前先运行make test测试一下,我一般跳过了的

估计是 apache 的配置文件没有修改,导致 apache 不知道 .phtml 和 .php 文件应该由 php 进行解释.楼主你如果跑服务器,还是 RHEL 或者 Fedora 好点.ubuntu 应该有个专用的修改服务器设置的程序来设置 apache 是否支持 php吧?不然就是安装有问题.不然不应该不修改这个设置.

此问题正解如下: 修改了apache服务的主配文件之后,启动apache启动不起来,报如楼主图一所示,是由于SElinux引起的 #解决办法: 编辑/etc/sysconfig/selinux #修改过后需要重启系统. 重启完毕之后可以解决.#如果还是不能解决使用命令 chcon -t texrel_shlib_t /usr/local/apache2/modules/libphp5.so (报错提示的文件路径) 修改过之后问题成功解决!!! 问题提了这么久了,也没有人回答,只好自己解决了之后自己来回答咯..

如果你指的是使用php-xxx/configure --with-mysql的话: --with-mysql需要你先安装mysql,指定mysql路径. --with-mysqld在php configure中,没有这个选项,configure过程中被略过,自然可以编译成功,--with-mysqld等于什么都没指定

其实有些东西我也讲不太清楚,你可以参考下我的意见.nxu安装 PHP:yum -y install libxml2 libxml2-devel 下载安装libxml2,通过libxml2编译安装PHP ./configure --prefix=/usr/local/php --with-config-file-path=/usr/local/php/etc --with-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config --with最保险的方法是,多去后盾人看一下教学视频,这样更加有用.

默认安装 service httpd start ps -ef | grep httpd 查看进程 默认安装应该在/usr/sbin/httpd

改成--with-tiff=/usr/local/lib试试看

安装PHP时候选择的APACHE的路径不对吧!卸载PHP 重新安装 正确选择路径!

你把以前安装过的Mysql什么的给删除了重新用tar包安装编译一下估计就好了,我用的是Centos4.4以前用的,建议你把相关的都给删除掉重新安装编译一遍,步骤对的话应该不会出问题的,我安装过很多次了,呵呵,慢慢来吧这东西急不得,一个空格都有可能造成错误.哪个号不让补充问题.我上的另外一个回答的.

网站地图

All rights reserved Powered by www.fltk.net

copyright ©right 2010-2021。
www.fltk.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com